import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSUUID } from "../Foundation/NSUUID.js";
export declare class _AVCoordinatedPlaybackParticipant extends _NSObject {
    static alloc(): _AVCoordinatedPlaybackParticipant;
    static new(): _AVCoordinatedPlaybackParticipant;
    init(): _AVCoordinatedPlaybackParticipant;
    /**
     * The reason, if any, this participant is currently not participating in coordinated playback.
     */
    suspensionReasons(): _NSArray;
    /** YES if the participant is ready to play. */
    readyToPlay(): boolean;
    /**
     * A unique id for the participant. Use this identifier to distinguish participants.
     */
    identifier(): _NSUUID;
}
